<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.effect.DropShadow?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>
<?import org.kordamp.ikonli.javafx.FontIcon?>
<?import org.kordamp.ikonli.javafx.StackedFontIcon?>

<VBox fx:id="vbox" maxHeight="-Infinity" maxWidth="-Infinity"
	minHeight="-Infinity" minWidth="-Infinity" prefHeight="600.0"
	prefWidth="200.0" styleClass="root" stylesheets="@../css/layout.css"
	xmlns="http://javafx.com/javafx/8.0.141" xmlns:fx="http://javafx.com/fxml/1"
	fx:controller="mb.dabm.controller.SegVMenuController">
	<children>
		<AnchorPane fx:id="root" prefHeight="200.0" prefWidth="200.0"
			styleClass="topPane">
			<children>
				<Label layoutX="48.0" layoutY="161.0" text="Segmento V"
					textAlignment="CENTER" textFill="WHITE">
					<font>
						<Font size="16.0" />
					</font>
					<graphic>
						<StackedFontIcon>
							<children>
								<FontIcon iconColor="WHITE" iconLiteral="fa-gear" />
							</children>
						</StackedFontIcon>
					</graphic>
					<effect>
						<DropShadow />
					</effect>
				</Label>
				<FontIcon iconColor="WHITE" iconLiteral="mdi-windows"
					iconSize="100" layoutX="50.0" layoutY="137.0">
					<effect>
						<DropShadow />
					</effect>
				</FontIcon>
			</children>
		</AnchorPane>
		<JFXButton fx:id="menuClean" accessibleText="menu_limpeza"
			prefHeight="66.0" prefWidth="200.0" styleClass="menu" text="Limpeza">
			<graphic>
				<StackedFontIcon>
					<children>
						<FontIcon iconLiteral="fa-file-text-o" iconSize="18" />
					</children>
				</StackedFontIcon>
			</graphic>
			<font>
				<Font size="15.0" />
			</font>
		</JFXButton>
		<JFXButton fx:id="menuExtract" accessibleText="menu_extracao"
			prefHeight="66.0" prefWidth="200.0" styleClass="menu" text="Extração">
			<font>
				<Font size="15.0" />
			</font>
			<graphic>
				<StackedFontIcon>
					<children>
						<FontIcon iconLiteral="fa-database" iconSize="18" />
					</children>
				</StackedFontIcon>
			</graphic>
		</JFXButton>
		<JFXButton fx:id="menuView" accessibleText="menu_lista"
			prefHeight="66.0" prefWidth="200.0" styleClass="menu" text="Visualização">
			<font>
				<Font size="15.0" />
			</font>
			<graphic>
				<StackedFontIcon>
					<children>
						<FontIcon iconLiteral="fa-list-ul" iconSize="18" />
					</children>
				</StackedFontIcon>
			</graphic>
		</JFXButton>
		<JFXButton fx:id="menuExit" accessibleText="menu_sair"
			prefHeight="66.0" prefWidth="200.0" styleClass="menu" text="Sair">
			<font>
				<Font size="15.0" />
			</font>
			<graphic>
				<StackedFontIcon>
					<children>
						<FontIcon iconLiteral="mdi-logout" iconSize="18" />
					</children>
				</StackedFontIcon>
			</graphic>
		</JFXButton>
		<AnchorPane fx:id="anchorPaneVersao" prefHeight="137.0"
			prefWidth="200.0">
			<children>
				<Label fx:id="lblVersao" alignment="CENTER" contentDisplay="CENTER"
					layoutX="4.0" layoutY="56.0" prefHeight="17.0" prefWidth="192.0"
					text="Versão: 1.2.0 (08/12/17)" textAlignment="CENTER" textFill="#065fb8" />
				<Label fx:id="lblDivisao" alignment="CENTER" contentDisplay="CENTER"
					layoutX="4.0" layoutY="34.0" prefHeight="17.0" prefWidth="192.0"
					text="DAbM-62" textAlignment="CENTER" textFill="#065fb8" />
				<Label fx:id="lblTime" alignment="CENTER" contentDisplay="CENTER"
					layoutX="3.0" layoutY="100.0" prefHeight="17.0" prefWidth="192.0"
					text="Data/Hora" textAlignment="CENTER" textFill="#065fb8" />
			</children>
		</AnchorPane>
	</children>
</VBox>
